[arch-commits] Commit in curl/repos (3 files)

Eric Belanger eric at archlinux.org
Sun May 4 20:43:59 EDT 2008


    Date: Sunday, May 4, 2008 @ 20:43:59
  Author: eric
Revision: 1323

Merged revisions 2-1322 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/curl/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r1322 | eric | 2008-05-04 20:43:45 -0400 (Sun, 04 May 2008) | 2 lines
  
  upgpkg: curl 7.18.1-2
      Added CA Root Certificates (close FS#10129)
........

Modified:
  curl/repos/extra-x86_64/	(properties)
  curl/repos/extra-x86_64/ChangeLog
  curl/repos/extra-x86_64/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |    4 +++-
 2 files changed, 8 insertions(+), 1 deletion(-)


Property changes on: curl/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /curl/trunk:1
   + /curl/trunk:1-1322

Modified: extra-x86_64/ChangeLog
===================================================================
--- extra-x86_64/ChangeLog	2008-05-05 00:43:45 UTC (rev 1322)
+++ extra-x86_64/ChangeLog	2008-05-05 00:43:59 UTC (rev 1323)
@@ -1,3 +1,8 @@
+2008-04-30  Eric Belanger  <eric at archlinux.org>
+
+	* curl 7.18.1-2
+	* Added CA Root Certificates (close FS#10129)
+
 2008-03-31  Eric Belanger  <eric at archlinux.org>
 
 	* curl 7.18.1-1

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-05-05 00:43:45 UTC (rev 1322)
+++ extra-x86_64/PKGBUILD	2008-05-05 00:43:59 UTC (rev 1323)
@@ -4,7 +4,7 @@
 
 pkgname=curl
 pkgver=7.18.1
-pkgrel=1
+pkgrel=2
 pkgdesc="An URL retrival utility and library"
 arch=('i686' 'x86_64')
 url="http://curl.haxx.se"
@@ -19,6 +19,8 @@
   cd ${startdir}/src/${pkgname}-${pkgver}
   ./configure --prefix=/usr --without-libidn --disable-ldap
   make || return 1
+  make ca-bundle || return 1
   make DESTDIR=${startdir}/pkg install
+  install -D -m644 lib/ca-bundle.crt ${startdir}/pkg/usr/share/${pkgname}/ca-bundle.crt
   install -D -m644 COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/COPYING
 }





More information about the arch-commits mailing list